From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libgweather/
Date: Sat, 16 Sep 2023 18:16:20 +0000 (UTC) [thread overview]
Message-ID: <1694888176.ca7c7eb088e745d93f3f1e61d1448f9b69bb0966.mattst88@gentoo> (raw)
commit: ca7c7eb088e745d93f3f1e61d1448f9b69bb0966
Author: Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Sat Sep 16 18:04:18 2023 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Sep 16 18:16:16 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca7c7eb0
dev-libs/libgweather: Version bump to 4.4.0
Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/32846
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
dev-libs/libgweather/Manifest | 1 +
dev-libs/libgweather/libgweather-4.4.0.ebuild | 88 +++++++++++++++++++++++++++
2 files changed, 89 insertions(+)
diff --git a/dev-libs/libgweather/Manifest b/dev-libs/libgweather/Manifest
index 83fe75d2fee1..cd10129a8c4f 100644
--- a/dev-libs/libgweather/Manifest
+++ b/dev-libs/libgweather/Manifest
@@ -1 +1,2 @@
DIST libgweather-4.2.0.tar.xz 2752164 BLAKE2B 9cc51363d6a2a09497269760701e0e0c1beb68c0096262fb6e2885414f838b41c151df7b057def457fdd49f9036d853ab624a9683a5cf57bbdefaed5376fe69f SHA512 cd95c6714575c0afc52455bb99c9116af27716868648debe0e5309904cfaf7516cf2379e415b3d9dd57b5dd223bae8e8acbaf705a3867dad8f75aec22eea908e
+DIST libgweather-4.4.0.tar.xz 2808680 BLAKE2B d3bfabd7936a5dc5f6f77cbb5acb3a7b80cebe1f08ff48582e1609cad04051ce8b84959c27576c928233e4625db8831c99d049378908cbe562b48221b6f37392 SHA512 dd232d36b168132a7c7cf06ffff16e88eb6e3e9e003e39b975df3d294ada401ab7d34de386dcc53452de6b0f8c68ff7f0cf6a94492e353828e00d4a1204b5d00
diff --git a/dev-libs/libgweather/libgweather-4.4.0.ebuild b/dev-libs/libgweather/libgweather-4.4.0.ebuild
new file mode 100644
index 000000000000..ceccb46337ad
--- /dev/null
+++ b/dev-libs/libgweather/libgweather-4.4.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit gnome.org gnome2-utils meson python-any-r1 vala xdg
+
+DESCRIPTION="Location and timezone database and weather-lookup library"
+HOMEPAGE="https://wiki.gnome.org/Projects/LibGWeather"
+
+LICENSE="GPL-2+"
+SLOT="4/4-0" # subslot = 4-(libgweather-4 soname suffix)
+
+IUSE="gtk-doc +introspection test +vala"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+ vala? ( introspection )
+ gtk-doc? ( introspection )
+"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-libs/glib-2.68.0:2
+ >=net-libs/libsoup-2.99.2:3.0
+ sci-geosciences/geocode-glib:2
+ >=dev-libs/libxml2-2.6.0:2
+ dev-libs/json-glib
+ introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/glib-utils
+ gtk-doc? ( >=dev-util/gi-docgen-2021.6 )
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ ${PYTHON_DEPS}
+ $(python_gen_any_dep 'dev-python/pygobject[${PYTHON_USEDEP}]')
+ vala? ( $(vala_depend) )
+"
+
+python_check_deps() {
+ python_has_version -b "dev-python/pygobject[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ gnome2_environment_reset
+ use vala && vala_setup
+ # The metar test requires network access
+ if has network-sandbox ${FEATURES}; then
+ sed -i -e '/metar/d' libgweather/tests/meson.build || die
+ fi
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use vala enable_vala)
+ $(meson_use gtk-doc gtk_doc)
+ $(meson_use introspection)
+ $(meson_use test tests)
+ -Dsoup2=false
+ )
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+ if use gtk-doc; then
+ mkdir -p "${ED}"/usr/share/gtk-doc/ || die
+ mv "${ED}"/usr/share/doc/libgweather-4.0 "${ED}"/usr/share/gtk-doc/ || die
+ fi
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}
next reply other threads:[~2023-09-16 18:16 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-09-16 18:16 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-13 17:27 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libgweather/ Pacho Ramos
2025-03-18 20:27 Sam James
2025-03-18 15:37 Sam James
2025-03-18 15:37 Sam James
2024-04-07 10:11 Arthur Zamarin
2024-04-07 5:55 Arthur Zamarin
2024-04-07 5:55 Arthur Zamarin
2024-03-23 0:03 Mart Raudsepp
2024-03-02 22:41 Mart Raudsepp
2024-02-22 20:47 Arthur Zamarin
2024-02-10 18:53 Arthur Zamarin
2022-12-02 18:44 WANG Xuerui
2022-11-29 22:08 Matt Turner
2022-10-30 1:50 Matt Turner
2022-09-30 18:29 Matt Turner
2022-09-27 23:55 Matt Turner
2022-03-22 10:10 Jakov Smolić
2022-03-21 18:07 Matt Turner
2021-10-27 17:54 Arthur Zamarin
2021-04-15 1:33 Sam James
2021-03-29 1:42 Matt Turner
2021-03-29 1:42 Matt Turner
2020-07-17 20:23 Mart Raudsepp
2019-07-07 11:22 Mart Raudsepp
2019-07-05 1:56 Sobhan Mohammadpour
2019-07-05 1:40 Sobhan Mohammadpour
2018-11-02 12:54 Mart Raudsepp
2018-09-09 13:34 Mart Raudsepp
2018-02-03 19:40 Mart Raudsepp
2018-01-18 2:15 Mikle Kolyada
2017-08-15 22:44 Gilles Dartiguelongue
2017-07-21 8:18 Alexis Ballier
2017-02-15 19:24 Mart Raudsepp
2017-01-15 16:44 Pacho Ramos
2017-01-15 16:44 Pacho Ramos
2016-09-26 19:13 Mart Raudsepp
2016-09-26 16:23 Agostino Sarubbo
2016-09-26 16:22 Agostino Sarubbo
2016-09-03 23:22 Gilles Dartiguelongue
2016-09-03 23:22 Gilles Dartiguelongue
2016-03-06 16:43 Mikle Kolyada
2015-11-14 18:40 Pacho Ramos
2015-11-14 18:40 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1694888176.ca7c7eb088e745d93f3f1e61d1448f9b69bb0966.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox